Op deze website gebruiken we cookies om content en advertenties te personaliseren, om functies voor social media te bieden en om ons websiteverkeer te analyseren. Ook delen we informatie over uw gebruik van onze site met onze partners voor social media, adverteren en analyse. Deze partners kunnen deze gegevens combineren met andere informatie die u aan ze heeft verstrekt of die ze hebben verzameld op basis van uw gebruik van hun services. Meer informatie.

Akkoord

Vraag & Antwoord

OS Linux

Java virtual machine werkt niet (Mandrake 9.0)

roy_startpag
10 antwoorden
  • Ik krijg java virtual machine maar niet aan de praat onder mandrake 9.0. Heb op java.sun.com, java gedowload, en geinstalleerd volgens de manual op de site. Heb het succesvol geinstalleerd zonder foutmeldingen. Hij staat ook in de pakketmanager.

    Ik heb ook nieuwste Mozilla gedownload (1.4). En die ook goed geinstalleerd zonder foutmeldingen. En ik heb ook die symbolische link gelegd tussen mozilla 1.4 en de javaoplugin. Alleen site waarvoor ik de plugin nodig heb kan ik nog steeds niet bekijken. Ik heb trouwens de ns610 (gcc build) plugin gebruikt. Stond ook op deze site dat mozilla 1.4 de gcc build nodig had: http://plugindoc.mozdev.org/javalinux.html

    Heb deze site trouwens ook als handleiding gebruikt voor de installatie van de java plugin. Alleen het werkt nog steeds niet hoe kan dit?
    Als ik via Xterm naar de plugin directory van mozilla 1.4 ga, zie ik meerdere plugins staan, o.a. ook de flashplayer/shockwave plugin, en al die plugins zijn groengekleurd en werken, alleen die javaplugin is blauw gekleurd. Volgens mij klopt dat niet. En als ik bij Mozilla 1.4 naar about plugins ga, staat die javaplugin er niet bij! De flashplugin wel. Wie kan mij helpen?

    mvg,
    Roy
  • een symbolic link is idd blauw, kopieër de plugin gewoon eens ipv een symbolic link te maken en doe chmod 755 namejavaplugin op de gekopieërde plugin

    je moet Mozilla btw wel herstarten voordat de plugin werkt, wat is de site btw, ken ik even kijken of hij hier wel werkt
  • Had Mozilla al gerestart maar dat hielp ook niet. Ook computer herstarten hielp niet. Btw welke site wil hebben? Waar ik jvm heb gedownload?

    mvg,
    Roy
  • nee die niet werkt bij jouw :P

    heb de rest van mijn beschrijving al opgevolgd?
  • Mij lukte het met: http://handbook.linuxbelgium.net/prog_java.html
  • De site waar ik die java heb gedowload is: java.sun.com. test maar uit ik hoor het wel. Ik heb de SDK versie genomen. En ja heb de hele beschrijving gelezen.

    En Middelburg bedankt voor je site. Alles wat op die site staat heb ik ook gedaan behalve het maken van het bestand java.sh. Dus misschien dat het daar aan ligt. Ik zie op de site java.sun.com niks staan over het maken van het bestand java.sh. Is dit dan ook echt nodig? Zoja waarom zetten die mensen van sun dat niet gewoon op hun site. En ook op deze site staat er niks over: http://plugindoc.mozdev.org/javalinux.html. Hoe moet ik als newbee nou weten dat ik een bestand java.sh moet aanmaken.

    mvg,
    Roy
  • Hey, ik heb hem onder de praat onder Konqueror. Maar nu nog onder Mozilla 1.4. Wie kan helpen?

    mvg,
    Roy
  • ik bedoelde de site die niet werkte met java, de site van sun ken ik wel, maar laat maar want hij werkt dus onder konqueror wel

    ik heb verder geen ervaring met Mozilla, vind het maar een ruk browser, maar toch werkte het bij 1.0 altijd bij mij, ik volgde dan ook de opschrijving van Mozilla 1.0 van http://www.mozilla.org/start/1.0 maar dat heb je allemaal al gedaan volgens mij.
  • Alle sites waarrvoor jvm nodig is werkt niet. B.v. chatten.nl om een chatbox binnen te gaan.

    mvg,
    Roy
  • Start mozilla eens op vanuit een terminal. Eventuele foutmeldingen worden dan naar de terminal geschreven. Op die manier kun je nog wel eens zien welke library incompatible is.

    Je hebt Mozilla geconfigureerd om Java te gebruiken?

    Dat java.sh bestand heb je in principe niet nodig. Het kan disto-afhankelijk zijn. Bijvoorbeeld een wrapper om een bepaalde java versie te starten.

    Als je de plugin geinstalleerd hebt (bijv. in /usr/local/java) en je hebt een symlink vanuit de plugins directory van mozilla naar de plugin gemaakt, dan zou het in principe moeten werken. Ik zet deze link overigens in mijn persoonlijke profile (~/.mozilla/../../plugins). (System-wide zou ook moeten werken)

    Nu ondergaat de Linux-wereld een verandering in de compiler. De meeste distributies compileren hun software met een nieuwe versie, terwijl Sun nog de oude versie gebruikt. Sun heeft inmiddels een beta uitgebracht die wel gecompileerd is met gcc 3.x. Ik gebruik
    j2re-1_4_2-beta-linux-i586.bin.

    Zo lang about:plugins geen java laat zien, heeft het weinig zin om sites te testen. Als de plugin wel herkend wordt, moet je een brede test doen om te voorkomen dat een "MS-java" website je het verkeerde idee geeft. Girotel heeft bijvoorbeeld een tijd lang niet gewerkt, terwijl java op zich prima functioneerde.

Beantwoord deze vraag

Dit is een gearchiveerde pagina. Antwoorden is niet meer mogelijk.